Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.service
Class ApplicationVersionCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.security.service.SecurityServiceException
                      weblogic.security.service.ApplicationVersionCreationException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public class ApplicationVersionCreationException
extends SecurityServiceException

The `ApplicationVersionCreationException` is thrown if a security provider encounters a problem while handling the creation of a new application version.

This exception wrappers an exception with the same name from the `weblogic.security.spi` package.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ApplicationVersionCreationException()` Constructs a `ApplicationVersionCreationException` with no arguments.
`ApplicationVersionCreationException(String msg)` Constructs a `ApplicationVersionCreationException` with the specified detail message.
`ApplicationVersionCreationException(String msg, Throwable nested)` Constructs a `ApplicationVersionCreationException` with a detail message and a nested exception.
`ApplicationVersionCreationException(Throwable nested)` Constructs a `ApplicationVersionCreationException` with a nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationVersionCreationException

    public ApplicationVersionCreationException()

  Constructs a `ApplicationVersionCreationException` with no arguments.

### ApplicationVersionCreationException

    public ApplicationVersionCreationException(String msg)

  Constructs a `ApplicationVersionCreationException` with the specified detail message. A detail message is a String that describes this particular exception.

### ApplicationVersionCreationException

    public ApplicationVersionCreationException(String msg,
                                               Throwable nested)

  Constructs a `ApplicationVersionCreationException` with a detail message and a nested exception.

### ApplicationVersionCreationException

    public ApplicationVersionCreationException(Throwable nested)

  Constructs a `ApplicationVersionCreationException` with a nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD